<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Faker\Factory as Faker;
use Carbon\Carbon;

class TdsSeeder extends Seeder
{
    public function run()
    {
        $faker = Faker::create();
        $startDate = Carbon::create(2024, 7, 24, 6, 0, 0); // Mulai dari 24-07-2024 jam 06:00
        $endDate = Carbon::create(2024, 7, 28, 16, 0, 0); // Berakhir pada 28-07-2024 jam 16:00

        // Loop untuk menghasilkan data dari startDate hingga endDate dengan interval 3 jam
        while ($startDate <= $endDate) {
            DB::table('tds')->insert([
                'tds' => $faker->numberBetween(1160, 1190), // Data tds acak antara 1160 dan 1190
                'tanggal' => $startDate->copy() // Salin waktu saat ini
            ]);
            echo "Inserted record for " . $startDate->toDateTimeString() . "\n";
            $startDate->addHours(3); // Interval 3 jam
        }
    }
}
